<?php
if (!defined('ABSPATH')) {
  exit;
}

class CustoMeow_Admin {

  const MENU_TITLE_TOP = 'CustoMeow';
  const PAGE_TITLE_DASHBOARD = 'Dashboard';
  const MENU_TITLE_DASHBOARD = 'Dashboard';
  const MENU_SLUG_DASHBOARD = 'customeow-dashboard';
  const MENU_SLUG_STATUS = 'customeow-status';
  const CAPABILITY = 'manage_options';

  public static $customeow_admin;

  public static function init() {
    $customeow_admin = new self;
    $customeow_admin->register_customeow_admin();

    // ajax 回调
    add_action('wp_ajax_ajax_force_check_customeow_connect_status', array('CustoMeow_Integration', 'ajax_force_check_customeow_connect_status'));
  }

  /**
   * 注册脚本
   */
  public function register_customeow_admin() {
    add_action('admin_menu', array($this, 'register_admin_menu_page'));
    // add_action('admin_menu', array($this, 'register_admin_submenu_page'));
  }

  /**
   * 注册 admin 菜单
   */
  public function register_admin_menu_page() {
    add_menu_page(
      __('Dashboard', 'customeow-product-personalizer'),
      self::MENU_TITLE_TOP,
      self::CAPABILITY,
      self::MENU_SLUG_DASHBOARD,
      array('CustoMeow_Admin', 'render_react_root'),
      CustoMeow_PP_Base::get_asset_url() . 'logo.svg',
      58
    );
    CustoMeow_Admin_Dashboard::instance();
  }

  /**
   * React 根节点
   */
  public static function render_react_root() {
    CustoMeow_Admin::load_template('root', array('cpp_warp' => "customeow_pp_admin_warp", 'cpp_root' => "customeow_pp_admin_root"));
  }

  /**
   * @description: 子菜单 - 插件状态显示
   * @return {*}
   */
  public function register_admin_submenu_page() {
    add_submenu_page(
      null,
      __('Status', 'customeow-product-personalizer'),
      self::MENU_TITLE_TOP,
      self::CAPABILITY,
      self::MENU_SLUG_STATUS,
      array('CustoMeow_Admin', 'render_react_status_root'),
    );
  }

  public static function render_react_status_root() {
    ?>
    <div class="wrap">
        <h1>Hidden Admin Page</h1>
        <p>这是一个隐藏的 admin 页面。</p>
    </div>
    <?php
}

  /**
   * 加载模板
   * @param {*} $name
   * @param {*} $variables
   * @return {*}
   */
  public static function load_template($name, $variables = array()) {

    if (!empty($variables)) {
      extract($variables);
    }

    $filename = plugin_dir_path(__FILE__) . 'templates/' . $name . '.php';
    if (file_exists($filename)) {
      include $filename;
    }
  }

  public static function validateAdminAccess() {
    if (!current_user_can('manage_options')) {
      exit;
    }
  }
}