/**
 * External dependencies
 */
import { useState, useEffect } from '@wordpress/element';

const Message = ( { show, message } ) => {
	const [ visible, setVisible ] = useState( false );

	useEffect( () => {
		setVisible( show.value );
		const timer = setTimeout( () => {
			setVisible( false );
		}, 3000 );

		return () => clearTimeout( timer );
	}, [ show ] );

	const styles = {
		opacity: visible ? '1' : '0',
		transition: 'opacity 1s',
		position: 'absolute',
		top: 20,
		left: '50%',
		transform: 'translateX(-50%)',
		textAlign: 'center',
	};

	return (
		<div style={ styles } className="cm-message">
			{ message }
		</div>
	);
};

export default Message;
