/**
 * External dependencies
 */
import domReady from '@wordpress/dom-ready';
import { createRoot } from '@wordpress/element';

/**
 * Internal dependencies
 */
import CustomeowWrapper from '../components/customeow-wrapper';

import './index.scss';

const DesignerBootstrap = ( props ) => {
	const { custom_type = 0 } = props;

	const types = {
		0: null,
		1: <CustomeowWrapper { ...props } />,
	};

	return types[ custom_type ];
};

domReady( function () {
	const customeowText =
		'' +
		'     ____                   __                                                 ' +
		'\n' +
		"    /\\  _`\\                /\\ \\__         /'\\_/`\\                              " +
		'\n' +
		'    \\ \\ \\/\\_\\  __  __   ___\\ \\ ,_\\   ___ /\\      \\     __    ___   __  __  __  ' +
		'\n' +
		"     \\ \\ \\/_/_/\\ \\/\\ \\ /',__\\ \\ \\/  / __`\\ \\ \\__\\ \\  /'__`\\ / __`\\/\\ \\/\\ \\/\\ \\ " +
		'\n' +
		'      \\ \\ \\L\\ \\ \\ \\_\\ /\\__, `\\ \\ \\_/\\ \\L\\ \\ \\ \\_/\\ \\/\\  __//\\ \\L\\ \\ \\ \\_/ \\_/ \\ ' +
		'\n' +
		"       \\ \\____/\\ \\____\\/\\____/\\ \\__\\ \\____/\\ \\_\\\\ \\_\\ \\____\\ \\____/\\ \\___x___/' " +
		'\n' +
		'        \\/___/  \\/___/ \\/___/  \\/__/\\/___/  \\/_/ \\/_/\\/____/\\/___/  \\/__//__/  ' +
		'\n' +
		'';

	console.log(
		customeowText +
			'\n\n' +
			'        Build custom products better.\n\n' +
			'        developer@customeow.io\n\n'
	);

	const { customeow_front_end_data = undefined, jQuery } = window;

	// console.log( 'customeow_front_end_data', customeow_front_end_data );
	const rootElement = jQuery( '#customeow_pp_button_root' ).get( 0 );
	if ( rootElement ) {
		const root = createRoot( rootElement );
		root.render( <DesignerBootstrap { ...customeow_front_end_data } /> );
	}
} );
